<?php
if ( ! defined('ABSPATH') ) exit;

add_action('admin_init', function () {
    $base = get_stylesheet_directory_uri() . '/assets/admin/colors/caffito/';
    wp_admin_css_color(
        'caffito',
        __('تم رنگی کافیتو', 'caffito'),
        $base . 'colors.css',
        array('#00704A','#006543','#1e1e1e','#f1f1f1'),
        array( 'rtl' => $base . 'colors-rtl.css' )
    );
});

add_action('user_register', function ($user_id) {
    update_user_meta($user_id, 'admin_color', 'caffito');
});

add_filter('get_user_option_admin_color', function($color) {
    return 'caffito';
});